petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawSPAddPoint

Adds another point to each of the scatter plots.

### Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode  PetscDrawSPAddPoint(PetscDrawSP sp,PetscReal *x,PetscReal *y)

Logically Collective on PetscDrawSP

### Input Parameters

| sp | - the scatter plot data structure
| x, y | - the points to two vectors containing the new x and y point for each curve.

### Notes

the new points will not be displayed until a call to PetscDrawSPDraw() is made

### See Also

PetscDrawSPAddPoints(), PetscDrawSP, PetscDrawSPCreate(), PetscDrawSPReset(), PetscDrawSPDraw()

### Level

intermediate

### Location

src/sys/classes/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages